#!/bin/sh

killproc() {            # kill the named process(es)
        echo stopping $1
        pid=`/usr/bin/ps -ef |
	     /usr/bin/grep tclsh |
             /usr/bin/grep "$1" |
awk 'BEGIN { FS=" " ; } { print $2; }'`
for i in $pid
do
echo "kill $i"
[ "$pid" != "" ] && kill $pid
done
}

case $1 in
start_msg)
        echo "Display date"
        ;;

'start')
	echo "Start romanic"
	romanic -requestDir /media/romanic -debug 1
	;;
'stop')
	echo "Stop romanic"
	killproc romanic
	;;
*)
	echo "Usage: Romanic <start|stop>"
	exit 1
	;;
esac

