#! /bin/sh 
#
# $Id
#
# This script launches the msql2d daemon.
#
# who         when       what
# --------   ---------   ----------------------------------------------
# C.Cguirao  22 Oct 03   created
#


if [ ! -d /MSQL2 ] ; then 
  echo -n $"/MSQL2 no such directory "
  exit 1
fi

#
# Check if there is another daemon running
# Otherwise, launchs the daemons and check the process
#
if [ -f /MSQL2/msql2d.pid ] ; then 
  pid=`cat /MSQL2/msql2d.pid`
  if kill -0 $pid  >/dev/null 2>&1 ; then
    echo -n $"Another msql2d (pid=$pid) is running "
    exit 1
  fi
fi

#
# Otherwise, launchs the daemons and check the process
#
exec msql2d >/dev/null 2>&1 &

#sleep 1
#if [ -f /MSQL2/msql2d.pid ] ; then 
#  pid=`cat /MSQL2/msql2d.pid`
#  if kill -0 $pid  >/dev/null 2>&1 ; then
#    exit 0
#  else
#    echo "No process msql2d (pid=$pid) running"
#    exit 1
#  fi
#else
#  echo "No /MSQL2/msql2d.pid file is created"
#  exit 1
#fi
