# ========================================================================
# $Id: emmi.sql,v 1.1 2004/09/27 14:28:04 cguirao Exp $
# ========================================================================
#
#  This sql script creates all calibDB staff neede for the instrument
#  EMMI.
#
#  Revisionhistory: see end of file
# =========================================================================
#
# Dumping data for table 'instrument'
#
DELETE FROM instrument WHERE ins_id LIKE 'EMMI%'\g 
INSERT INTO instrument VALUES ('EMMI','NTT','','')\g

#
# insert instrument component table
#
DELETE FROM component WHERE comp_id = 'EMMI'\g
INSERT INTO component VALUES ('EMMI',NULL,NULL,'Emmi','INS','ins/emmi','1900-01-01T00:00:00','inf','C','INST')\g

#
# insert actual EMMI components
#
DELETE FROM real_component WHERE ins_id = 'EMMI'\g
INSERT INTO real_component VALUES ('EMMI','EMMI','Emmi','INS')\g


# -----------------------------------
# Revisionhistory:
# ----------------
#
# $Log: emmi.sql,v $
# Revision 1.1  2004/09/27 14:28:04  cguirao
# *** empty log message ***
#
# Revision 1.1  2004/09/02 15:01:29  cguirao
# *** empty log message ***
#
# Revision 1.1  2004/08/25 14:11:50  cguirao
# First check-in
#
# Revision 1.1  2002/12/12 10:00:33  dataflow
# Instruments in lower case. CG
#
# Revision 1.2  2002/12/02 10:55:05  dataflow
# Removing Telescope location under "ins" directory
#
# Revision 1.1  2001/07/03 11:54:27  gmekiffe
# First checkin
#
# 03.07.2001 gmekiffe  . First checkin
# 01.10.1999 gmekiffe  . First installation
#eof
