# ===========================================================================
# $Id: naco.sql,v 1.1 2004/09/27 14:28:04 cguirao Exp $
# ===========================================================================
# 
# Insert the instrument NACO (NAOS/CONICA) to the CalibDB
#

#
# initialize table 'instrument'
#
DELETE FROM instrument WHERE ins_id LIKE 'NACO%'\g
INSERT INTO instrument  VALUES ('NACO','UT4','','')\g

#
# insert instrument component table
#
DELETE FROM component WHERE comp_id = 'NACO%'\g
INSERT INTO component VALUES ('NACO',NULL,NULL,'Naco','INS','ins/naco','1900-01-01T00:00:00','inf','C','INST')\g

#
# insert actual NACO components
#
DELETE FROM real_component WHERE ins_id = 'NACO%'\g
INSERT INTO real_component VALUES ('NACO','NACO','Naco','INS')\g

# ==========================================================================
# Revision history:
# ----------------
#
# $Log: naco.sql,v $
# Revision 1.1  2004/09/27 14:28:04  cguirao
# *** empty log message ***
#
# Revision 1.1  2004/09/02 15:01:29  cguirao
# *** empty log message ***
#
# Revision 1.1  2004/08/25 14:11:50  cguirao
# First check-in
#
# Revision 1.1  2002/12/12 10:00:34  dataflow
# Instruments in lower case. CG
#
# Revision 1.2  2002/12/02 10:55:04  dataflow
# Removing Telescope location under "ins" directory
#
# Revision 1.1  2002/03/06 10:55:38  gmekiffe
# New instrument NACO (NAOS+CONICA)
#
# 06.03.2002 gmekiffe  . First installation
#
#eof
