package org.eso.gasgano.dfspipeline;

/**
 * @author nkornwei
 *
 * This interface permits periodic notification of the status of processes
 * in the DFS pipeline.
 * 
 */
public interface DFSPipelineStatusListener {

    /**
     * Called periocially to indicate if the DO process is 
     * running or not.
     * @param s
     */
    public void notifyDORunning(boolean s);
    
    /**
     * Called periocially to indicate if the RBS process is 
     * running or not.
     * @param s
     */
    public void notifyRBSRunning(boolean s);
}
