package org.eso.ohs.core.dbb.client;

import java.awt.event.ActionEvent;

import javax.swing.JFrame;

import org.apache.log4j.Logger;
import org.eso.ohs.core.gui.baseaction.ActionSuperclass;
import org.eso.ohs.core.utilities.GTreeNode;

/**
 * 
 * @author D. Dorigo
 * @author cmavros 24May02 Rearranged code to make methods more accessable to
 *          to the DefaultConfigAction().
 *@deprecated use LoadViewAction class
 */

public class ConfigWidgetValuesAction extends ActionSuperclass {

	private static final String rcsid = "$Id: ConfigWidgetValuesAction.java,v 1.3 2005/12/12 14:19:56 pnunes Exp $";

	private static Logger stdlog_ = Logger
			.getLogger(ConfigWidgetValuesAction.class);

	GTreeNode colNames_;

	GTreeNode rowNames_;

	GTreeNode sortNames_;

	DbbPanel colPanel_;

	DbbPanel rowPanel_;

	DbbPanel sortPanel_;

	public ConfigWidgetValuesAction(JFrame viewProWin, String name,
			GTreeNode colNames, GTreeNode rowNames, GTreeNode sortNames,
			DbbPanel colPanel, DbbPanel rowPanel, DbbPanel sortPanel) {
		super(viewProWin, name);
		colNames_ = colNames;
		rowNames_ = rowNames;
		sortNames_ = sortNames;
		colPanel_ = colPanel;
		rowPanel_ = rowPanel;
		sortPanel_ = sortPanel;
	}

	public final void actionPerformedImpl(final ActionEvent ev) {
		
		if (colPanel_ != null) 
			if (colNames_ != null)
				colPanel_.setValueWidgets(colNames_);
		
		if (rowPanel_ != null) 
			if (rowNames_ != null)
				rowPanel_.setValueWidgets(rowNames_);
		
		// quick for fix bug on orang queue initialization
		// when it loaded the default sorting options it was assuming 
		// that there's a sorting panel instanciated
		// pnunes 12.12.2005
		if (sortPanel_ != null) 			
			if (sortNames_ != null)
				sortPanel_.setValueWidgets(sortNames_);
	}

}
