package org.eso.ohs.core.dbb.client;

// $Id: DbbTableSortEvent.java,v 1.1 2004/02/17 11:16:24 tcanavan Exp $

import java.util.EventObject;


/**
 * This class defines a specific event fired to start the table
 * sorting actions.
 */
public class DbbTableSortEvent extends EventObject {

    /** Number of events belonging to the class */
    protected static int count = 0;

    /** Create a DbbTableSortEvent object. */
    public DbbTableSortEvent(Object source) {
	super(source);
	count++;
    }

    /** @return the total number of DbbTableSortEvent objects. */
    public int getNum() { return count; }
}

