package org.eso.ohs.core.gui.widgets;

import java.awt.event.KeyEvent;

import javax.swing.Action;
import javax.swing.JComponent;
import javax.swing.KeyStroke;
import javax.swing.text.DefaultEditorKit;

/**
 * An interface satisfied by all document (object) views.
 * 
 * <p>
 * $Id: CutPasteUtility.java,v 1.1 2004/02/17 10:35:21 tcanavan Exp $
 */

public abstract class CutPasteUtility {

  /*private static Action cutAction;
    private static Action copyAction;
    private static Action pasteAction;

    static {
	Action[] actions = new DefaultEditorKit().getActions();

	for (int j=0; j < actions.length; j++) {
	    String name = (String)actions[j].getValue(Action.NAME);

	    if (name.equals(DefaultEditorKit.cutAction)) {
		cutAction = actions[j];
		cutAction.putValue(Action.NAME, "Cut");
	    }
	    else if (name.equals(DefaultEditorKit.copyAction)) {
		copyAction = actions[j];
		copyAction.putValue(Action.NAME, "Copy");
	    }
	    else if (name.equals(DefaultEditorKit.pasteAction)) {
		pasteAction = actions[j];
		pasteAction.putValue(Action.NAME, "Paste");
	    }
	}
     }*/

    public static void registerEditOps(JComponent tcomp) {
	tcomp.registerKeyboardAction(getCutAction(),
	    KeyStroke.getKeyStroke(KeyEvent.VK_X, KeyEvent.CTRL_MASK),
	    JComponent.WHEN_FOCUSED
	);

	tcomp.registerKeyboardAction(getCopyAction(),
	    KeyStroke.getKeyStroke(KeyEvent.VK_C, KeyEvent.CTRL_MASK),
	    JComponent.WHEN_FOCUSED
	);

	tcomp.registerKeyboardAction(getPasteAction(),
	    KeyStroke.getKeyStroke(KeyEvent.VK_V, KeyEvent.CTRL_MASK),
	    JComponent.WHEN_FOCUSED
	);

    }

    public static Action getCutAction() {
	return new DefaultEditorKit.CutAction();
    }

    public static Action getCopyAction() {
	return new DefaultEditorKit.CopyAction();
    }

    public static Action getPasteAction() {
	return new DefaultEditorKit.PasteAction();
    }

}

