package org.eso.ohs.dfs;
import org.apache.log4j.Logger;
/**
 * @author ddorigo
 *
 * To change the template for this generated type comment go to
 * Window>Preferences>Java>Code Generation>Code and Comments
 */
/**
 * @author ddorigo
 *
 * To change this generated comment edit the template variable "typecomment":
 * Window>Preferences>Java>Templates.
 * To enable and disable the creation of type comments go to
 * Window>Preferences>Java>Code Generation.
 */
public class ReportCard extends BusinessObject {
	private String body_ = "";
	private long runId_;
	private long userId_;
	private int grade_;
	private int nights_;
	private int pr_flag;
	private Boolean conflicts_;
	private static Logger stdlog_ = Logger.getLogger(ReportCard.class);
	/**
	 * @see org.eso.ohs.dfs.BusinessObject#accept(org.eso.ohs.dfs.BusinessVisitor, java.lang.Object)
	 */
	public Object accept(BusinessVisitor visitor, Object arg) {
		return null;
	}
	/**
	 * @param body if body is null the empty string will be inserted
	 */
	public void setBody(String body) {
		if (body == null) {
			body_ = "";
		} else {
			body_ = body;
		}
	}
	public String getBody() {
		return body_;
	}
	public void setRunId(long runId_) {
		this.runId_ = runId_;
	}
	public long getRunId() {
		return runId_;
	}
	/**
	 * Method setUserId.
	 * @param userId_ the referee id associated with this report card
	 */
	public void setUserId(long userId_) {
		this.userId_ = userId_;
	}
	/**
	 * Method getUserId.
	 * @return long the referee id associated with this report card
	 */
	public long getUserId() {
		return userId_;
	}
	/**
	 * @return int the grade associated to the card
	 */
	public int getGrade() {
		if (grade_ == -1) {
			return 0;
		} else {
			return grade_;
		}
	}
	/**
	 * @return int the number of nights (or hours for visitor mode)
	 */
	public int getNights() {
		stdlog_.debug("##### \n #############\n nights allocated " + nights_);

		return nights_;
	}
	/**
	 * @param i
	 */
	public void setGrade(int grade) {
		if (grade == 0) {
			grade = -1;
		}
		grade_ = grade;
	}
	/**
	 * @param i
	 */
	public void setNights(int nights) {
		nights_ = nights;
		stdlog_.debug("##### \n #############\n nights allocated " + nights);
	}
	/**
	 * @return int
	 */
	public int getPr_flag() {
		return pr_flag;
	}
	/**
	 * @param i
	 */
	public void setPr_flag(int prFlag) {
		pr_flag = prFlag;
	}

	public void setConflicts(int conflicts) {
		if (conflicts == 1) {
			this.conflicts_ = new Boolean(true);
		} else {
			this.conflicts_ = new Boolean(false);
		}
	}

	public int getIntConflicts() {
		if (conflicts_.booleanValue() == true) {
			return 1;
		} else {
			return 0;
		}
	}

	public void setConflicts(Boolean conflicts) {
		this.conflicts_ = conflicts;
	}

	public Boolean getConflicts() {
		return conflicts_;
	}

	public void postProecess() {
	}
}
