package org.eso.ohs.phase2.apps.ot.gui;

import java.awt.Dimension;
import java.awt.Toolkit;

import javax.swing.JFrame;
import javax.swing.JLabel;


/** This class provides a set of static  method for
 *  displaing a Message dialog window
 *  @version $Revision: 1.3 $
 *  @author  G.Passera, DMD/ESO, <gpassera@eso.org>
 */
public class MessageDialog {

  private static JFrame  dialog = new JFrame("Message");


  /**
   *PopsUp a message dialog window
   *@param message specifies the message to be displayed
   */ 
  public static void show(String message)
  {
  Dimension screen = Toolkit.getDefaultToolkit().getScreenSize();
  int x, y;
  
   
  
  JLabel label =  new JLabel(" " + message);
  dialog.getContentPane().add(label);
  dialog.pack();
  Dimension window = new Dimension((int)(label.getSize().width) + 30,
				   (int)(label.getSize().height)+ 100);
 
 
  dialog.setSize(window);
  x = (screen.getSize().width  - window.getSize().width) /2;
  y = (screen.getSize().height - window.getSize().height) /2;
  dialog.setLocation(x, y);
  dialog.setVisible(true);
  dialog.repaint();
  }


  /**Hides the  message dialog window*/
  public static void hide()
  {
  dialog.setVisible(false);
  }

}
  

  


   

    

    
    










