#!/bin/sh
# Define which version of the sequencer to use \
  exec seqWish "$0"  ${1+"$@"}
#
#*************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: dominoPrefs.pan,v 1.1 2004/09/06 14:47:13 cguirao Exp $" 
#
# dominoPrefs.pan
#
# This file has been produced by the panel editor
#   version: panel.tcl,v 5.9
#   date   : Mon Nov 19 17:07:44 MET 2001
#
#      !!!!!!!!!!  DO NOT MANUALLY EDIT THIS FILE  !!!!!!!!! 
#
#--------------------------------------------------------------
#
global par gvar cv bcv actAreaHeight shArea panClassLib 
global geoCmdReply panClassLib panUsrProcs panUsrLib
global argv0 env panWidget panWidgetHlp panDbData cwp ckHeartBeat
global menu menuBar menuHelp ckMenuBar ckActBut ckShHelp ckCCS
# 
#  Get directory root of VLT, integration, current module. 
global VLTROOT INTROOT HOME

if {[catch {set VLTROOT $env(VLTROOT)}]} {set VLTROOT dummy}
if {[catch {set INTROOT $env(INTROOT)}]} {set INTROOT dummy}
if {[catch {set HOME    $env(HOME)}   ]} {set HOME    dummy}
# 
# Set auto_path 
# 

if { [file exist ../lib/libpanPublic.tcl] } { 
   lappend auto_path ../lib/libpanPublic.tcl
} elseif { [file exist $INTROOT/lib/libpanPublic.tcl ] } { 
   lappend auto_path $INTROOT/lib/libpanPublic.tcl
} elseif { [file exist $VLTROOT/lib/libpanPublic.tcl ] } { 
   lappend auto_path $VLTROOT/lib/libpanPublic.tcl 
} else {
   puts stderr "panel EXITS : Tcl library libpanPublic.tcl not found " 
   exit 1
}

#
# Link panel to user libraries 
#
set panUsrLib   {}  
set panClassLib {}

panSetAutoPath  $panUsrLib $panClassLib 

if {[info exists EDITING]} { 
   set panRoot .dominoPrefs 
   set panUsrProcs {dominoPrefsInit dominoPrefsGlobalData dominoPrefsExit dominoPrefsInitData}
   set argc 0 ; set argv {}
} else {
   set par(MY_NAME) [file tail $argv0] 
   set EDITING 0
   set tk_strictMotif 0
   setPublicVar
   set panRoot . 
}

# User's Global Data 
# It contains definitions of constant data

proc dominoPrefsGlobalData {} {

 # Declare any variable as global


 # Variable Initialization

   set <var> <value> ; # comment ..
}



# User's Init Data : called just after panInit
# It contains data to be defined before widgets are created

proc dominoPrefsInitData {} {

 # Declare global variables

 # Statements to be executed when exiting
}



# User's Init Procedure : called in panMainStart
# It is executed after the widgets have been created

proc dominoPrefsInit {} {

 # Declare global variables

   global gvar cv

 # User Initialization

$cv.dominoFromWdg.uifEntry configure -highlightthickness 1
$cv.dominoToWdg.uifEntry configure -highlightthickness 1

$cv.dominoRenameWdg1.uifRadioButton  configure -highlightthickness 1 -highlightbackground grey90
$cv.dominoRenameWdg2.uifRadioButton configure -highlightthickness 1 -highlightbackground grey90
$cv.dominoRenameWdg3.uifEntry configure -highlightthickness 1
$cv.dominoPrefsCheckRen.uifRadioButton configure -highlightthickness 1 -highlightbackground grey90
$cv.dominoPrefs-wdg1.uifOptionButton configure -highlightthickness 1 -highlightbackground grey90 -takefocus ""

$cv.dominoTransWdg1.uifRadioButton configure -highlightthickness 1 -highlightbackground grey90
 $cv.dominoPrefsCheckHt.uifRadioButton  configure -highlightthickness 1 -highlightbackground grey90
$cv.selTableWdg.uifOptionButton configure -highlightthickness 1 -highlightbackground grey90 -takefocus ""

$cv.dominoTransWdg2.uifButton configure -highlightthickness 1

$cv.dominoPostComWdg1.uifRadioButton configure -highlightthickness 1 -highlightbackground grey90
$cv.dominoPostComWdg2.uifRadioButton configure -highlightthickness 1 -highlightbackground grey90
$cv.dominoPostComWdg3.uifEntry configure -highlightthickness 1

$cv.dominoPrefButtonWdg1.uifButton configure -highlightthickness 1
$cv.dominoPrefButtonWdg2.uifButton configure -highlightthickness 1
$cv.dominoPrefButtonWdg3.uifButton configure -highlightthickness 1
#return
#set gvar(tmpFileType) $gvar(fileType)
dominoPrefsInitX
}



#
#-----------------------------------------------
#            Widget Definition  
#-----------------------------------------------
# 

set ckHeartBeat   0 ;# Enable Heart-beat
set ckShHelp      1 ;# Set Short Help
set ckActBut      0 ;# Set Action Button Area
set ckMenuBar     0 ;# Setup Menu Bar
set ckCCS         0 ;# Initialize CCS
set ckCmdReply    0 ;# Display Cmd. Reply
set cwp           "" ;# Set Current Working Point
set actAreaHeight 5; # Set height of action area 

panReadOption winter
set par(PANELX) 619 ;# Panel X position
set par(PANELY) 145 ;# Panel Y position
panCreateFrame dominoPrefs ;# Create empty frame
panGetCvNames  dominoPrefs cv bcv ;# Get Canvas Names
panInit        $argc $argv dominoPrefs ;# Initialization



UifEntry           $cv.dominoFromWdg -canvasAnchor nw -label {From}  \
                  -labelFont -Adobe-Helvetica-Bold-R-Normal--*-120-*-*-*-*-*-*  \
                  -labelWidth 0 -variable gvar(dominoFrom) -width 19 
UifRadioButton     $cv.dominoPostComWdg1 -anchor w -canvasAnchor nw  \
                  -command {$cv.dominoPostComWdg3 disable} -label {None}  \
                  -onVal 0 -variable gvar(postCommand) -width 0 
UifRadioButton     $cv.dominoPostComWdg2 -anchor w -canvasAnchor nw  \
                  -command {$cv.dominoPostComWdg3 enable}  \
                  -label {Define Command} -onVal 1  \
                  -variable gvar(postCommand) -width 0 
UifEntry           $cv.dominoPostComWdg3 -canvasAnchor nw  \
                  -labelFont -Adobe-Helvetica-Bold-R-Normal--*-120-*-*-*-*-*-*  \
                  -labelWidth 0 -maxVal 100 -minVal 0  \
                  -variable gvar(postCommandLine) -width 20 
UifButton          $cv.dominoPrefButtonWdg1 -canvasAnchor nw  \
                  -command {dominoAcceptPrefs} -initialState normal  \
                  -label {Accept} -popup 0  \
                  -stateVar gvar(dominoPrefs-wdg17Var) -width 12 
UifButton          $cv.dominoPrefButtonWdg2 -canvasAnchor nw  \
                  -command {default$gvar(fileType); defaultVARS}  \
                  -initialState normal -label {Reset Conf.} -popup 0  \
                  -stateVar gvar(dominoPrefs-wdg16Var) -width 12 
UifButton          $cv.dominoPrefButtonWdg3 -canvasAnchor nw  \
                  -command {dominoPrefsClose} -initialState normal  \
                  -label {Cancel} -popup 0  \
                  -stateVar gvar(dominoPrefs-wdg19Var) -width 12 
UifOptionButton    $cv.dominoPrefs-wdg1 -canvasAnchor nw -default {OB Name}  \
                  -itemList {{Instrument mode} {OB Name} {Target Name} {Name on INS ws}}  \
                  -itemValue {"HIERARCH ESO INS MODE" "HIERARCH ESO OBS NAME" OBJECT ORIGFILE}  \
                  -length 0 -selectMode value  \
                  -variable gvar(dominoBrowseKeyword) 
UifOutput          $cv.dominoPrefs-wdg2 -anchor w -canvasAnchor nw  \
                  -color Black -font -Adobe-courier-medium-r-normal--14*  \
                  -frame 0 -label {Program ID:}  \
                  -labelFont -Adobe-helvetica-bold-r-normal--14*  \
                  -labelWidth 0 -variable gvar(programID) -width 13 
UifOutput          $cv.dominoPrefs-wdg3 -anchor w -canvasAnchor nw  \
                  -color Black -font -Adobe-courier-medium-r-normal--14*  \
                  -frame 0 -label {Observer Name:}  \
                  -labelFont -Adobe-helvetica-bold-r-normal--14*  \
                  -labelWidth 0 -variable gvar(obsName) -width 25 
UifRadioButton     $cv.dominoPrefsCheckHt -anchor w -canvasAnchor nw  \
                  -command {$cv.selTableWdg enable; $cv.dominoTransWdg2 enable}  \
                  -label {Translation Template} -onVal 1  \
                  -variable gvar(dominoTrans) -width 0 
UifRadioButton     $cv.dominoPrefsCheckRen -anchor w -canvasAnchor nw  \
                  -command {$cv.dominoRenameWdg3 disable ;$cv.dominoPrefs-wdg1 enable}  \
                  -label {Rename to Keyword} -onVal 2  \
                  -variable gvar(dominoRename) -width 0 
UifRadioButton     $cv.dominoRenameWdg1 -anchor w -canvasAnchor nw  \
                  -command {$cv.dominoRenameWdg3 disable; $cv.dominoPrefs-wdg1 disable}  \
                  -label {Use DFS Names.} -onVal 0  \
                  -variable gvar(dominoRename) -width 0 
UifRadioButton     $cv.dominoRenameWdg2 -anchor w -canvasAnchor nw  \
                  -command {$cv.dominoRenameWdg3 enable ;$cv.dominoPrefs-wdg1 disable}  \
                  -label {Rename To} -onVal 1  \
                  -variable gvar(dominoRename) -width 0 
UifEntry           $cv.dominoRenameWdg3 -canvasAnchor nw  \
                  -labelFont -Adobe-helvetica-medium-r-normal--14*  \
                  -labelWidth 0 -maxVal 100 -minVal 0  \
                  -variable gvar(dominoRenameTo) -width 25 
UifEntry           $cv.dominoToWdg -canvasAnchor nw -label {To}  \
                  -labelFont -Adobe-Helvetica-Bold-R-Normal--*-120-*-*-*-*-*-*  \
                  -labelWidth 0 -variable gvar(dominoTo) -width 19 
UifRadioButton     $cv.dominoTransWdg1 -anchor w -canvasAnchor nw  \
                  -command {$cv.selTableWdg disable; $cv.dominoTransWdg2 disable}  \
                  -label {None} -onVal 0 -variable gvar(dominoTrans)  \
                  -width 0 
UifButton          $cv.dominoTransWdg2 -canvasAnchor nw  \
                  -command {dominoImportHt} -initialState normal  \
                  -label {Define Table} -popup 0  \
                  -stateVar gvar(dominoPrefs-wdg18Var) -width 11 
UifOptionButton    $cv.selTableWdg -canvasAnchor nw -default item  \
                  -itemList item -itemValue item -length 10  \
                  -selectMode value -variable gvar(optTable) 

#
#  Canvas Items
#

$cv create text 0 88 -tags "text dominoPrefs-item1" -anchor nw \
          -text "------Request Data------------------------------" \
          -fill black -font -Adobe-helvetica-medium-r-normal--14* 

$cv create text 0 180 -tags "text dominoPrefs-item2" -anchor nw \
          -text "------File Names---------------------------------" \
          -fill black -font -Adobe-helvetica-medium-r-normal--14* 

$cv create text 3 304 -tags "text dominoPrefs-item3" -anchor nw \
          -text "------Header Translation--------------------------" \
          -fill black -font -Adobe-helvetica-medium-r-normal--14* 

$cv create text 3 408 -tags "text dominoPrefs-item4" -anchor nw \
          -text "------Post Command-----------------------------" \
          -fill black -font -Adobe-helvetica-medium-r-normal--14* 

$cv create text 3 496 -tags "text dominoPrefs-item5" -anchor nw \
          -text "----------------------------------------------" \
          -fill black -font -Adobe-helvetica-medium-r-normal--14* 


#
# Set Widget Configuration
#
set panWidget(dominoFromWdg)  {UifEntry 91 115 1 0 {} 0 0 dominoFrom 0 A {} {} 0 0 0 0}
set panWidget(dominoPostComWdg1)  {UifRadioButton 8 428 1 0 {} 0 0 postCommand 0 0 0 0 0 0}
set panWidget(dominoPostComWdg2)  {UifRadioButton 8 460 1 0 {} 0 0 postCommand 0 0 0 0 0 0}
set panWidget(dominoPostComWdg3)  {UifEntry 164 464 1 0 {} 0 0 postCommandLine 0 A {} {} 0 0 0 0}
set panWidget(dominoPrefButtonWdg1)  {UifButton 36.0 524.0 1 0 0 0 0 {} 0 {}}
set panWidget(dominoPrefButtonWdg2)  {UifButton 152 524 1 0 0 0 0 {} 0 {}}
set panWidget(dominoPrefButtonWdg3)  {UifButton 272.0 524.0 1 0 0 0 0 dominoPrefs-wdg19Var 0 {}}
set panWidget(dominoPrefs-wdg1)  {UifOptionButton 180 264 1 0 {OB Namef} 0 0 dominoBrowseKeyword 0 {}}
set panWidget(dominoPrefs-wdg2)  {UifOutput 60 16 1 0 0 0 0 programID 0 {} {}}
set panWidget(dominoPrefs-wdg3)  {UifOutput 32 44 1 0 0 0 0 obsName 0 {} {}}
set panWidget(dominoPrefsCheckHt)  {UifRadioButton 8 360 1 0 {} 0 0 dominoTrans 0 0 0 0 0 0}
set panWidget(dominoPrefsCheckRen)  {UifRadioButton 8 264 1 0 {} 0 0 dominoRename 0 0 0 0 0 0}
set panWidget(dominoRenameWdg1)  {UifRadioButton 8 200 1 0 {} 0 0 dominoRename 0 0 0 0 0 0}
set panWidget(dominoRenameWdg2)  {UifRadioButton 8 232 1 0 {} 0 0 dominoRename 0 0 0 0 0 0}
set panWidget(dominoRenameWdg3)  {UifEntry 180 236 1 0 {} 0 0 dominoRenameTo 0 A {} {} 0 0 0 0}
set panWidget(dominoToWdg)  {UifEntry 107 143 1 0 {} 0 0 dominoTo 0 A {} {} 0 0 0 0}
set panWidget(dominoTransWdg1)  {UifRadioButton 8 324 1 0 {} 0 0 dominoTrans 0 0 0 0 0 0}
set panWidget(dominoTransWdg2)  {UifButton 308 360 1 0 0 0 0 {} 0 {}}
set panWidget(selTableWdg)  {UifOptionButton 180.0 360.0 1 0 item 0 0 optTable 0 {}}

#
# Set Database Configuration
#

#
# Set Short Help for each widget
#
set panWidgetHlp(dominoFromWdg)  {Format: [YYYY-MM-DD] or [YYYY-MM-DD]T[hh:mm:ss]}
set panWidgetHlp(dominoPostComWdg1)  {Don't apply a post command.}
set panWidgetHlp(dominoPostComWdg2)  {Apply a user defined post command.}
set panWidgetHlp(dominoPostComWdg3)  {Post command to be applyed to the file.}
set panWidgetHlp(dominoPrefButtonWdg1)  {Accept configuration.}
set panWidgetHlp(dominoPrefButtonWdg2)  {Reset mask to the default configuration.}
set panWidgetHlp(dominoPrefButtonWdg3)  {Don't change configuration.}
set panWidgetHlp(dominoPrefs-wdg1)  {Keyword using which the file will be renamed.}
set panWidgetHlp(dominoPrefs-wdg2)  {This is your Program ID}
set panWidgetHlp(dominoPrefs-wdg3)  {Observer Name (It will be stored in the database).}
set panWidgetHlp(dominoPrefsCheckHt)  {Define a translation table.}
set panWidgetHlp(dominoPrefsCheckRen)  {Convert file names using a keyword.}
set panWidgetHlp(dominoRenameWdg1)  {Keep orig. file names. Eg. ONTT.1997-12-17T20:19:49.181.fits}
set panWidgetHlp(dominoRenameWdg2)  {Rename files to a selected string.}
set panWidgetHlp(dominoRenameWdg3)  {Retrieved files will have the name selected here.}
set panWidgetHlp(dominoToWdg)  {Format: [YYYY-MM-DD] or [YYYY-MM-DD]T[hh:mm:ss]}
set panWidgetHlp(dominoTransWdg1)  {Keep original header.}
set panWidgetHlp(dominoTransWdg2)  {Define or modify a translation table.}
set panWidgetHlp(selTableWdg)  {List of translation tables.}

#
#-----------------------------------------------
#            Create the Panel  
#-----------------------------------------------
#

wm geometry  $panRoot 412x613
wm title     $panRoot "Domino Preferences"
set par(TITLE) "Domino Preferences" 

panMainStart  dominoPrefs $argc $argv

#--------------------    End of Main   --------------------



#####################################################
#           Definition of Local Procedures
#####################################################


proc dominoPrefsExit {} {

 # Declare global variables

   global <var>

 # Statements to be executed when exiting
}
