package org.eso.dfs.datatransfer;

/**
 * @author nkornwei
 *
 * Interface for a listener wanting to know about FileList import
 * events. This is typically used to take file lists dropped into
 * GUI components and add them to the appropriate data model.
 */
public interface FileListImportListener {
    public void importFileListEvent(FileListEvent event);
}
