package org.eso.ohs.core.gui.widgets.examples;

import java.awt.BorderLayout;
import java.awt.Font;

import javax.swing.Box;
import javax.swing.JLabel;
import javax.swing.JPanel;

import org.eso.ohs.core.gui.widgets.OHSWizard;
import org.eso.ohs.core.gui.widgets.OHSWizardPage;

/**
 * First page of the example wizard.
 * 
 * @version $Revision: 1.1 $
 * @author amchavan, Jul 27, 2005
 */

// $Id: InstallerPage1.java,v 1.1 2005/07/27 12:54:44 amchavan Exp $

public class InstallerPage1 extends OHSWizardPage {

    public InstallerPage1( OHSWizard wizard ) {
        super( wizard );
        setLayout( new BorderLayout() );
        add( createPanel(), BorderLayout.CENTER );
    }

    public JPanel createPanel() {
        JPanel jpanel1 = new JPanel();

        Box box = Box.createVerticalBox();

        JLabel jlabel1 = new JLabel();
        jlabel1.setFont( new Font( "Tahoma", Font.BOLD | Font.ITALIC, 14 ) );
        jlabel1.setText( "Step 1: presentation" );
        box.add( jlabel1 );

        JLabel jlabel2 = new JLabel();
        jlabel2.setText( "This is your presetation page." );
        box.add( jlabel2 );

        jpanel1.add( box );
        return jpanel1;
    }

    /** @return Always <code>true</code>. */
    protected boolean isReady() {
        return true;
    }
}
