package org.eso.ohs.dfs.docviewdatatrans;

import org.eso.ohs.core.docview.datatrans.ObjAdaptor;
import org.eso.ohs.dfs.FindingChart;

/**
 * @author tcanavan
 *
 * To change this generated comment edit the template variable "typecomment":
 * Window>Preferences>Java>Templates.
 * To enable and disable the creation of type comments go to
 * Window>Preferences>Java>Code Generation.
 */
public class FindingChartsAdaptor extends ObjAdaptor {

    private static final FindingChart[] fcArray = new FindingChart[0];

    public FindingChartsAdaptor() {
          super(fcArray.getClass());
     }
     


    /**
     * @see org.eso.ohs.core.docview.datatrans.ObjectAdaptor#fromMetaLevelObject(java.lang.Object)
     */
    public String fromMetaLevelObject(Object obj) {
        
        if (obj == null) {
            return "";
        }

        FindingChart[] fcs = (FindingChart[])obj;

        StringBuffer sb = new StringBuffer();
        sb.append("(");
        sb.append(fcs.length);
        sb.append(") ");
        for (int j=0; j < fcs.length; j++) {
            sb.append(fcs[j].getFcName());
            if(j < fcs.length -1)
                sb.append(" ");
        }

        return sb.toString();

    }

    /**
     * @see org.eso.ohs.core.docview.datatrans.ObjectAdaptor#toMetaLevelObject(java.lang.String)
     */
    public Object toMetaLevelObject(String obj) {
        // At the moment the attaching og finding charts to an OB
        // is not part of the DocView model. so there is no need to convert
        // the string representation of the finding chart details into the finding 
        // chart objects themselves.
        return null;
    }

}
